import React from "react";
import { useNavigate } from "react-router-dom";

const AgentVerified = () => {
  const navigate = useNavigate();

  return (
    <div className="flex items-center justify-center min-h-screen" style={{ background: '#E9FAFF' }}>
      <div className="absolute top-[66px] left-[139px]">
        <h1 className="font-montserrat font-bold text-[48.31px] leading-[100%]">
          OMPOI - Seller
        </h1>
      </div>
      <div className="absolute top-[194px] left-[134px] bg-white p-8 rounded-[32.6px] shadow-lg w-[1460.608px] h-[729px] flex">
        {/* Left Side - Illustration */}
        <div className="w-1/2 flex items-center justify-center p-5">
          <img src="/page5.svg" alt="Illustration" className="w-full h-auto" />
        </div>

        {/* Right Side - Status Section */}
        <div className="w-1/2 p-10 flex flex-col justify-center">
          <h2 className="absolute top-[89px] left-[794px] font-montserrat font-semibold text-[33.91px] leading-[100%]">
            Status
          </h2>

          <div className="absolute top-[149px] left-[788px] bg-green-100 p-5 rounded-[12px] border border-green-300 w-[610px] h-[311px]" style={{ boxShadow: "6px 6px 0px 0px #000000" }}>
            <p className="text-gray-800 font-semibold">Company Name</p>
            <p className="text-black font-bold mb-2">ABCD PVT LTD</p>

            <p className="text-gray-800 font-semibold">Company Address</p>
            <p className="text-black mb-2">
              Shop No: 45 ABC Street <br /> Mylapore <br /> Chennai - 600004
            </p>

            <p className="text-gray-800 font-semibold">Verified By</p>
            <p className="text-gray-700">Agent Name</p>
            <p className="text-black font-bold">Gopal M</p>
            <p className="text-gray-700">Agent Number</p>
            <p className="text-black font-bold">+91-12345 69870</p>

            {/* Verified Badge */}
            <span
              className="absolute top-[23px] left-[354px] text-black rounded-full text-sm font-semibold cursor-pointer w-[243px] h-[45px] flex items-center justify-center"
              style={{ border: "3px solid #22CA00", backgroundColor: "transparent" }}
            >
              <span style={{ 
                fontFamily: 'Montserrat', 
                fontWeight: 500, 
                fontSize: '20.91px', 
                lineHeight: '100%', 
                letterSpacing: '0px',
                width: '169px',
                height: '25px',
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center'
              }}>
                Verified
              </span>
            </span>

            {/* Payment Section */}
            <div className="absolute top-[156px] left-[321px] text-center" style={{ width: '245px', height: '63px' }}>
              <p className="text-gray-800 font-montserrat font-semibold" style={{ fontSize: '26px', lineHeight: '31.3px', letterSpacing: '0.13px', textAlign: 'center' }}>
                Pay Now To Get Your Merchant ID
              </p>
              <button
                onClick={() => navigate("/agent-payment")}
                className="mt-2 bg-green-600 text-white rounded-full text-sm font-semibold border-3 border-green-600 cursor-pointer w-[241px] h-[45px] flex items-center justify-center font-montserrat text-[20.91px] leading-[100%] px-[37px] py-[10px] gap-[10px] shadow-md hover:bg-green-700"
              >
                Pay Now
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default AgentVerified;
